[{
    Name: "Stock Ticker Widget",
    Author: "soxfan1966",
    Version: "2020-ver 1.1",

    GroupName: '',
    IconImage: 'pages/control/widgets/homegenie/generic/images/flag-blue.png',
    StatusText: '',
    Description: 'Stock Ticker Widget',

    RenderView: function (cuid, module)
     {
       var container = $(cuid);
       var widget = container.find('[data-ui-field=widget]');
        //
        widget.find('[data-ui-field=name]').html(module.Name);
        //
        var widgeticon = HG.WebApp.Utility.GetModulePropertyByName(module, 'Widget.DisplayIcon');
        if (widgeticon != null && widgeticon.Value != '')
         {
           this.IconImage = widgeticon.Value;
         }
      // setup Height and Weight variables
      var height = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.Stk.Height').Value;
      var width = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.Stk.Width').Value;
      var height_adj = Number(height)+90;
      document.getElementById('stk_main').style.height = height_adj+"px";
      var width_adj = Number(width)+90;
      document.getElementById('stk_main').style.width = width_adj+"px";
      document.getElementById('stk_url').style.height = height+"px";
      document.getElementById('stk_url').style.width = width+"px";
      // this sends the URL for the widget to the iframe in the HTML code
      // if there is an Override URL then use that, else use: 
      // "https://widgets.tc2000.com/WidgetServer.ashx?id="+WidgetID
      var override_url = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.Stk.OverrideUrl').Value;
      var widget_id = HG.WebApp.Utility.GetModulePropertyByName(module, 'ConfigureOptions.Stk.WidgetID').Value;
      var target_url = "";
      if (override_url != '')
        target_url = override_url;
      else
        target_url = "https://widgets.tc2000.com/WidgetServer.ashx?id="+widget_id;
      document.getElementById("stocks").src=target_url;
      // update lastupdate time
      var d = new Date();
      var updatetime = d.toLocaleString()
      widget.find('[data-ui-field=updatetime]').html("last updated: "+updatetime);
      // settings button
      widget.find('[data-ui-field=settings]').on('click', function ()
       {
        if (module.Domain == 'HomeAutomation.HomeGenie.Automation')
        {
          HG.WebApp.ProgramEdit._CurrentProgram.Domain = module.Domain;
          HG.WebApp.ProgramEdit._CurrentProgram.Address = module.Address;
          HG.WebApp.ProgramsList.UpdateOptionsPopup();
        }
        else
        {
          HG.WebApp.Control.EditModule(module);
        }
       }
      );       
     }
}]
